Subject: Re: bug#10536: 23.3; Make base64-decode more fault tolerant

From: Eli Zaretskii <[email-masked]>
Date: Wed, 18 Apr 2018 12:48:39 +0300

> From: Robert Pluim <[email-masked]>
> Cc: Lars Ingebrigtsen <[email-masked]>,  [email-masked],  [email-masked]
> Date: Wed, 18 Apr 2018 11:42:52 +0200
> 
> > Could this "omission" be a sign of malicious stuff in there?  If so,
> > maybe it's better to introduce a variable that would allow this to be
> > tolerated, and by default fail with a message telling the user that if
> > they trust the source of the data, set the variable and retry?
> 
> You mean that someone would deliberately send incorrect base64 in the
> hope that interim attachment scanners would ignore it, but that the
> final recipient's software would be tolerant and decode it?

No, I mean that this omission is either due to a bug at the malicious
end or is somehow related to the malicious part itself (i.e. it is
part of the scam).